Loading...
Searching...
No Matches
vkd3d_shader_compile_option Struct Reference

Various settings which may affect shader compilation or scanning, passed as part of struct vkd3d_shader_compile_info. More...

`#include <vkd3d_shader.h>`

## Data Fields

enum vkd3d_shader_compile_option_name | name
| Name of the option.
unsigned int | value
| A value associated with the option.

## Detailed Description

Various settings which may affect shader compilation or scanning, passed as part of struct vkd3d_shader_compile_info.

For more details, see the documentation for individual options.

## Field Documentation

## value

unsigned int vkd3d_shader_compile_option::value

A value associated with the option.

The type and interpretation of the value depends on the option in question.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h